Move the java test directory under rs/test

Bug: 34265954
Test: Compile all the tests
Test: Run imageprocessing_jb
Test: Run update_rs_prebuilts.sh

Change-Id: Ia7f20f1f8a2450f538950950bff51472d643ca1a
diff --git a/update_rs_prebuilts.sh b/update_rs_prebuilts.sh
index 3cef67f..d951d04 100755
--- a/update_rs_prebuilts.sh
+++ b/update_rs_prebuilts.sh
@@ -80,7 +80,7 @@
   echo Building for target $1
   lunch $1
   # Build a sample support application to ensure that all the pieces are up to date.
-  cd $MY_ANDROID_DIR/frameworks/rs/java/tests/RSTest_CompatLib/ && mma -j$NUM_CORES FORCE_BUILD_RS_COMPAT=true && cd - || exit 6
+  cd $MY_ANDROID_DIR/frameworks/rs/tests/java_api/RSTest_CompatLib/ && mma -j$NUM_CORES FORCE_BUILD_RS_COMPAT=true && cd - || exit 6
 }
 
 build_rs_host_tools() {